Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class AbstractBookAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer

Direct Known Subclasses:
  ChineseLuceneAnalyzer, ConfigurableSnowballAnalyzer, CzechLuceneAnalyzer, EnglishLuceneAnalyzer, GermanLuceneAnalyzer, GreekLuceneAnalyzer, KeyAnalyzer, SimpleLuceneAnalyzer, StrongsNumberAnalyzer, ThaiLuceneAnalyzer, XRefAnalyzer

    public abstract class AbstractBookAnalyzer

extends org.apache.lucene.analysis.Analyzer

Base class for Analyzers. Note: All analyzers configured in AnalyzerFactory.properties should be of this type

Author:
  sijo cherian [sijocherian at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`protected Book` | `book` The book against which analysis is performed.
`protected boolean` | `doStemming`
`protected boolean` | `doStopWords`
`protected String` | `naturalLanguage`
`protected Set` | `stopSet`

Constructor Summary
`AbstractBookAnalyzer()`
`AbstractBookAnalyzer(Book book)`

Method Summary
`Book` | `getBook()`
`boolean` | `getDoStopWords()`
`String` | `getNaturalLanguage()`
`void` | `setBook(Book newBook)` The book for which analysis is being performed.
`void` | `setDoStemming(boolean stemming)`
`void` | `setDoStopWords(boolean doIt)`
`void` | `setNaturalLanguage(String lang)`
`void` | `setStopWords(String[] stopWords)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### book

    protected Book book

  The book against which analysis is performed.

### stopSet

    protected Set stopSet

### doStopWords

    protected boolean doStopWords

### doStemming

    protected boolean doStemming

### naturalLanguage

    protected String naturalLanguage

Constructor Detail

### AbstractBookAnalyzer

    public AbstractBookAnalyzer()

### AbstractBookAnalyzer

    public AbstractBookAnalyzer(Book book)

Method Detail

### setBook

    public void setBook(Book newBook)

  The book for which analysis is being performed.

  Parameters:
    `newBook` -

### getBook

    public Book getBook()

  Returns:
    the book for which analysis is being performed.

### setDoStopWords

    public void setDoStopWords(boolean doIt)

### getDoStopWords

    public boolean getDoStopWords()

### setStopWords

    public void setStopWords(String[] stopWords)

### setDoStemming

    public void setDoStemming(boolean stemming)

### setNaturalLanguage

    public void setNaturalLanguage(String lang)

### getNaturalLanguage

    public String getNaturalLanguage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD